<?php
session_start();
error_reporting(0);
include('includes/config.php');
if (strlen($_SESSION['adminlogin']) == 0) {
	header('location:index.php');
} else {

	if (isset($_GET['success'])) {
		echo "<script>alert('Delete Success')</script>";
	}

?>

	<!doctype html>
	<html lang="en" class="no-js">

	<head>
		<meta charset="UTF-8">
		<meta http-equiv="X-UA-Compatible" content="IE=edge">
		<meta name="viewport" content="width=device-width, initial-scale=1, minimum-scale=1, maximum-scale=1">
		<meta name="description" content="">
		<meta name="author" content="">
		<meta name="theme-color" content="#3e454c">

		<title>Manage Server Copy</title>

		<!-- Font awesome -->
		<link rel="stylesheet" href="css/font-awesome.min.css">
		<!-- Sandstone Bootstrap CSS -->
		<link rel="stylesheet" href="css/bootstrap.min.css">
		<!-- Admin Stye -->
		<link rel="stylesheet" href="css/style.css">
		<style>
			.errorWrap {
				padding: 10px;
				margin: 0 0 20px 0;
				background: #dd3d36;
				color: #fff;
				-webkit-box-shadow: 0 1px 1px 0 rgba(0, 0, 0, .1);
				box-shadow: 0 1px 1px 0 rgba(0, 0, 0, .1);
			}

			.succWrap {
				padding: 10px;
				margin: 0 0 20px 0;
				background: #5cb85c;
				color: #fff;
				-webkit-box-shadow: 0 1px 1px 0 rgba(0, 0, 0, .1);
				box-shadow: 0 1px 1px 0 rgba(0, 0, 0, .1);
			}
		</style>

	</head>

	<body>
		<?php include('includes/header.php'); ?>

		<div class="ts-main-content">
			<?php include('includes/leftbar.php'); ?>
			<div class="content-wrapper">
				<div class="container-fluid">

					<div class="row">
						<div class="col-md-12">

							<h2 class="page-title">Server Copy Order Dashboard</h2>

							<!-- Zero Configuration Table -->
							<div class="panel panel-default">
								<div class="panel-heading">Order List</div>
								<div class="panel-body">

									<table id="zctb" class="display table table-striped table-bordered table-hover" cellspacing="0" width="100%">
										<thead>
											<tr>
												<th>ID</th>
												<th>Name</th>
												<th>Nid/Form/Voter</th>
												<th>DOB</th>
												<th>Time</th>
												<th>Order Note</th>
												<th>Status</th>
												<th>Email</th>
												<th>Total Download</th>
												<th colspan='2'>Action</th>
												<th>Deliverd Time</th>
											</tr>
										</thead>

										<tbody>

											<?php $sql = "SELECT * from server_copy WHERE status != 0 ORDER BY id DESC";
											$query = $dbh->prepare($sql);

											$query->execute();
											$results = $query->fetchAll(PDO::FETCH_OBJ);

											if ($query->rowCount() > 0) {
												foreach ($results as $result) {				?>
													<tr>




														<td><?php echo htmlentities($result->id); ?></td>
														<td><?php echo htmlentities($result->name); ?></td>
														<td><?php echo htmlentities($result->nid_num); ?></td>
														<td><?php echo htmlentities($result->dob); ?></td>
														<td><?php echo htmlentities($result->order_time); ?></td>
														<td><?php echo htmlentities($result->note); ?></td>
														<td><?php
															if ($result->status == 1) {
																echo "<p class='btn btn-warning'>Processing</p>";
															} elseif ($result->status == 0) {
																echo "<p class='btn btn-danger'>Deleted</p>";
															} elseif ($result->status == 2) {
																echo "<p class='btn btn-success'>Deliverd</p>";
															} elseif ($result->status == 3) {
																echo "<p class='btn btn-danger'>খুজে পাওয়া যায়নি।</p>";
															}
															?></td>
														<td><?php echo htmlentities($result->user); ?></td>
														<td><?php echo htmlentities($result->total_download); ?></td>

														<td><?php if ($result->status != 1) {
																echo "<p class='btn btn-success disabled'>Edit</p>";
															} else if ($result->status == 1) {
															?>
																<a href="serverEdit.php?id=<?php echo $result->id ?>" class="btn btn-success">Edit</a>
															<?php
															} ?>
														</td>
														<td><?php if ($result->status == 0) {
																echo "<p class='btn btn-danger disabled'>Deleted</p>";
															} else if ($result->status != 0) {
															?>
																<a href="serverDelete.php?id=<?php echo $result->id ?>" class="btn btn-danger">Delete</a>
															<?php
															}
															?>
														</td>
														<td><?php if ($result->delivery_time == '') {
																echo "Not Deliverd";
															} else {
																echo $result->delivery_time;
															} ?></td>



													</tr>
											<?php
												}
											} ?>

										</tbody>
									</table>
								</div>
							</div>
						</div>
					</div>

				</div>
			</div>
		</div>

		<!-- Loading Scripts -->
		<script src="js/jquery.min.js"></script>
		<script src="js/bootstrap-select.min.js"></script>
		<script src="js/bootstrap.min.js"></script>
		<script src="js/main.js"></script>
		<script type="text/javascript">
			$(document).ready(function() {
				setTimeout(function() {
					$('.succWrap').slideUp("slow");
				}, 3000);
			});
		</script>

	</body>

	</html>
<?php } ?>